Revoke previously rotated service API Keys
Base URL
https://api.elastic-cloud.com
POST
/api/v1/cloud-connected/clusters/{id} /apikey/{service} /_revoke-pending
Auth
Revoke API keys used for a Cloud Connected service that are pending revocation after a rotation operation.
The _rotate endpoint schedules revocation in 7 days; this endpoint revokes those pending keys immediately.
Expand all
id
string · pattern: ^[a-z0-9]{32}$
required
The ID of the Cloud Connected cluster
service
enum
required
The name of the Cloud Connected service
Values:
eis
ETag value fetched in a previous GET cluster request. Used to prevent simultaneous updates
200
The previous API Key has been deleted.
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.